function sub=lin2sub(lin1,siz)
// Converts into Subscripted Indices
//
// Calling Sequence
//   sub=lin2sub(lin1,siz) 
//
// Parameters
// lin1: Vertex Indices
// siz: Dimension / Length
// sub: Subscripted Indices
//
// Description
// Subscripted Indices used for Vertex Property.
//
// See also
//  vertex
//  
// Authors
//  Mr. Dhiraj B. Magare
//  IDP in System and Control Engineering
//  Indian Institute of Technology Bombay;
//
//  Mr. Bhagyesh V. Patil
//  IDP in System and Control Engineering
//  Indian Institute of Technology Bombay;
//
//  Prof. P.S.V. Nataraj
//  IDP in System and Control Engineering
//  Indian Institute of Technology Bombay
// 

  dim=length(siz);
  sub=zeros(1,dim);
  k = [1 cumprod(siz(1:$-1))];
  lin1 = lin1 - 1;
  for i = dim:-1:1,
    v = floor(lin1/k(i))+1;
    sub(i) = v;
   // lin2= k(i) - lin1 .* int (lin1 ./ k(i));
    lin1 = modulo(lin1,k(i));
  end,
endfunction;
